Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] main/dhcpcd-dbus: use depends_dev

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 10 Sep 2015 17:02:42 +0200

---
 main/dhcpcd-dbus/APKBUILD | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/main/dhcpcd-dbus/APKBUILD b/main/dhcpcd-dbus/APKBUILD
index da90f90..5e235f3 100644
--- a/main/dhcpcd-dbus/APKBUILD
+++ b/main/dhcpcd-dbus/APKBUILD
_at_@ -7,7 +7,8 @@ url="http://roy.marples.name/projects/dhcpcd-dbus"
 arch="all"
 license="BSD"
 depends=""
-makedepends="dbus-dev"
+depends_dev="dbus-dev"
+makedepends="$makedepends"
 install=
 subpackages=
 source="http://roy.marples.name/downloads/dhcpcd/dhcpcd-dbus-$pkgver.tar.bz2
_at_@ -33,12 +34,12 @@ build() {
 		--sysconfdir=/etc \
 		--libexecdir=/usr/lib/$pkgname \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 }
 
 md5sums="4fd43b0f0ca7c0e65f95a0b2846b37b7  dhcpcd-dbus-0.6.0.tar.bz2
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 10 2015 - 17:02:42 GMT